Name: gzip
Version: 1.8
Release: 3
License: GPL-3.0-or-later
Summary: GNU gzip
Url: https://www.gnu.org/software/gzip

Source0: https://ftp.gnu.org/pub/gnu/gzip/gzip-%{version}.tar.gz


%description
GNU Gzip is a popular data compression program originally written by Jean-loup
Gailly for the GNU project. Mark Adler wrote the decompression part.

%prep
%setup -q

perl -p -i -e 's|#! */bin/sh|#!/QOpenSys/usr/bin/sh|' \
  gunzip.in \
  gzexe.in \
  zcat.in \
  zcmp.in \
  zdiff.in \
  zegrep.in \
  zfgrep.in \
  zforce.in \
  zgrep.in \
  zless.in \
  zmore.in \
  znew.in

%build

%configure \
  ac_cv_func_faccessat=no \
  ac_cv_func_fchmodat=no \
  ac_cv_func_fchownat=no \
  ac_cv_func_fstatat=no \
  ac_cv_func_futimesat=no \
  ac_cv_func_linkat=no \
  ac_cv_func_lstat=yes \
  ac_cv_func_mkdirat=no \
  ac_cv_func_mkfifoat=no \
  ac_cv_func_mknodat=no \
  ac_cv_func_openat=no \
  ac_cv_func_readlinkat=no \
  ac_cv_func_renameat=no \
  ac_cv_func_symlinkat=no \
  ac_cv_func_unlinkat=no \
  ac_cv_func_utimensat=no \
  LDFLAGS="-Wl,-blibpath:/QOpenSys/usr/lib" \
  --disable-rpath

%make_build


%install

%make_install

%files
%defattr(-, qsys, *none)


%{_bindir}/gzip
%{_bindir}/gunzip
%{_bindir}/gzexe
%{_bindir}/zcat
%{_bindir}/zcmp
%{_bindir}/zdiff
%{_bindir}/zegrep
%{_bindir}/zfgrep
%{_bindir}/zforce
%{_bindir}/zgrep
%{_bindir}/zless
%{_bindir}/zmore
%{_bindir}/znew
%{_bindir}/uncompress
%{_infodir}/gzip.info
%{_mandir}/man1/gunzip.1
%{_mandir}/man1/gzexe.1
%{_mandir}/man1/gzip.1
%{_mandir}/man1/zcat.1
%{_mandir}/man1/zcmp.1
%{_mandir}/man1/zdiff.1
%{_mandir}/man1/zforce.1
%{_mandir}/man1/zgrep.1
%{_mandir}/man1/zless.1
%{_mandir}/man1/zmore.1
%{_mandir}/man1/znew.1


%changelog
* Thu Nov 21 2019 Kevin Adler <kadler@us.ibm.com> - 1.8
- Disable half-implemented *at APIs, fixing IBM i 7.2 build

* Tue Nov 19 2019 Kevin Adler <kadler@us.ibm.com> - 1.8
- Use SPDX license identifier

* Sat Mar 03 2018 - Kevin Adler <kadler@us.ibm.com>
- use perl -pie instead of GNU sed -i

* Wed Nov 22 2017 - Kevin Adler <kadler@us.ibm.com>
- Update BuildRequires for packages

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Remove outdated TODO comments

* Tue Nov 21 2017 - Kevin Adler <kadler@us.ibm.com>
- Use auto dependency resolution instead of requiring pase-libs
